import QtQuick 1.0
import com.meego 1.0

Page {
    id: advancedPage
//    width: 400
//    height: 400
    tools: toolbar

    anchors.margins: 10
//    anchors.margins: UiConstants.DefaultMargin


    Flickable {
	id: container
	anchors.fill: parent
	contentWidth: col.width
	contentHeight: col.height
	flickableDirection: Flickable.VerticalFlick
	pressDelay: 100
	Column {
	  id: col
	  spacing: 10
	  width: container.width    
	  anchors.horizontalCenter: parent.horizontalCenter


	  Label {
	      text:  "Username"
	  }

	  TextField {
	      id: txtusername
	      objectName: 'txtusername'
	      width: parent.width
	      height: 50
	  }




	  Label {
	      text:  "Hash algorithm"
	  }



	  Row {
	      Button {
		  id: bhash
		  objectName: 'bhash'
		  text: "MD5"
		  onClicked: {
		      dialoghash.open();
		  }
	      }

//	      Label {width:  20; height: 1} //spacer

//	      CheckBox {
//		  id: cbhmac
//		  objectName: 'cbhmac'
//                  text:  "HMAC"
//	      }
          }






	  Label {
	      text:  "Characters"
	  }
	  Button {
	      id: bcharacters
	      objectName: 'bcharacters'
	      width: parent.width
              text: "A-Z, a-z, 0-9, `~!@#$%^&*()_-+={}|[]\\:\";'<>?,./"
	      onClicked: {
		  dialogcharacters.open();
	      }
	  }


	  Label { text:  "Length: "  }
	  Row {
	      width: parent.width
	      Label { text: sllength.value }

	      Slider {
		  id: sllength
		  objectName: 'sllength'
		  width: parent.width
		  valueIndicatorVisible: true
		  minimumValue: 4
		  maximumValue: 20
		  stepSize:  1
		  value: 8
	      }
	  }


// 	  Label {width:  20; height: 1} //spacer
// 
// 	  CheckBox {
// 	      id: cbtrim
// 	      objectName: 'cbtrim'
// 	      text:  "Trim zeros"
// // 	      value: true
// 	  }


	}





    }




//*******************************************************



    ToolBarLayout {
        id: toolbar

        ToolIcon { iconId: "toolbar-back"; onClicked: { myMenu.close(); pageStack.pop(); mainform.values_changed() } }
        ToolIcon {
            iconId: "toolbar-view-menu" ;
            onClicked: myMenu.open();
        }
    }




//*******************************************************


    SelectionDialog {
        id: dialoghash
        titleText: "Hash algorithm"

        model: ListModel {
            ListElement { name: "MD4" }
            ListElement { name: "MD5" }
            ListElement { name: "SHA1" }
            ListElement { name: "SHA256" }
            ListElement { name: "RIPEMD160" }
        }
        onAccepted: { bhash.text= dialoghash.model.get(dialoghash.selectedIndex).name }
    }



    SelectionDialog {
        id: dialogcharacters
        titleText: "Used characters"

        model: ListModel {
            ListElement { name: "A-Z, a-z, 0-9, `~!@#$%^&*()_-+={}|[]\\:\";'<>?,./" } 	//ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789`~!@#$%^&*()_-+={}|[]\:";'<>?,./
            ListElement { name: "0-9, a-f" }						//0123456789abcdef
            ListElement { name: "0-9" }							//0123456789
            ListElement { name: "`~!@#$%^&*()_-+={}|[]\\:\";'<>?,./" }			//`~!@#$%^&*()_-+={}|[]\:";'<>?,./
        }
        onAccepted: { bcharacters.text= dialogcharacters.model.get(dialogcharacters.selectedIndex).name }
    }


}
