import QtQuick 1.0
import com.meego 1.0
// // Use extras 1.1 for Device, 1.0 for PC
// import com.nokia.extras 1.1
import com.nokia.extras 1.0
import "." as MyComponents

Page {
    id: mainPage
    
//      orientationLock: PageOrientation.LockPortrait
//     orientationLock: PageOrientation.LockLandscape
    
//    width: 400
//    height: 800
    tools: toolbar

     anchors.margins: 10
//    anchors.margins: UiConstants.DefaultMargin


    Flickable {
	id: container
	anchors.fill: parent
	contentWidth: col.width
	contentHeight: col.height
	flickableDirection: Flickable.VerticalFlick
	pressDelay: 100
	Column {
	  id: col
	  spacing: 10
	  width: container.width     

	  Label {
	      id: lbltitle
      //        anchors.centerIn: parent
      //        anchors.horizontalCenter: parent.horizontalCenter
	      text: qsTr("Password Maker")
	      font.bold: true
	      font.pixelSize: 32
      //        style: Text.Raised
      //        color: "White"
      //        styleColor: "Black"
	  }



	  Label {
	      id: lblmasterpassword
      //        anchors.top: lbltitle.bottom
//	      font: UiConstants.FieldLabelFont
//	      color: UiConstants.FieldLabelColor
	      text:  "Master password"

	  }

	  TextField {
	      id: txtmasterpassword
	      objectName: 'txtmasterpassword'
      //        anchors.top: lblmasterpassword.bottom
      //        anchors.topMargin: 0
	      width: parent.width
	      height: 50
	      placeholderText: "Enter master password here"
	      echoMode: TextInput.Password
	      onTextChanged: {mainform.values_changed() }
	  }

	  Label {
	      id: lbltext
      //        anchors.top: txtmasterpassword.bottom
	      text:  "Using text"
	  }

	  TextField {
	      id: txttext
	      objectName: 'txttext'
      //        anchors.top: lbltext.bottom
      //        anchors.topMargin: 0
	      width: parent.width
	      height: 50
	      echoMode: TextInput.Normal
	      placeholderText: "Enter text or URL here"
	      onTextChanged: {mainform.values_changed() }
	  }



	  Label { //spacer
	    height: 20
	    width:  1
	  }


	  Label {
	      id: lblgeneratedpassword
      //        anchors.bottom: lblpassword.top
      //        anchors.top: txttext.bottom
      //        anchors.topMargin: 20
	      text:  "Generated Password"
	  }





          Row {
              width: parent.width
              Label {
                  id: lblpassword
                  objectName: 'lblpassword'
                  color: "#ff0000"
                  width: parent.width/2 -10
                  font.bold: true
                  wrapMode: Text.WrapAnywhere

              }
              Label { //spacer
                  width:  10
              }
              Button{
                  id: bcopy
                  width: parent.width/2-10
                  text: "Copy"
                  onClicked: {
                      txtpassword.selectAll() ; txtpassword.copy()
                      banner0.show()
                  }
              }
          }
	  

          TextField { //this text field is invisible!
              id: txtpassword
              objectName: 'txtpassword'
              readOnly: true
              visible: false
          }
	
	  
	  

      }
    }

//*******************************************************


    ToolBarLayout {
        id: toolbar

        ToolButtonRow {
//             ToolButton {
//                 text: "L"
//                 onClicked: { orientationLock: PageOrientation.LockLandscape }
//             }
//             ToolButton {
//                 text: "P"
//                 onClicked: { orientationLock: PageOrientation.LockPortrait }
//             }
            ToolButton {
                id: baccount
                text: "Advanced"
                onClicked: {
                    pageStack.push(advancedPage)
                }
            }

            ToolButton {
                id: bmodifiers
                text: "Modifiers"
                onClicked: {
                    pageStack.push(modifiersPage)
                }
            }
        }
        ToolIcon {
            iconId: "toolbar-view-menu" ;
            onClicked: myMenu.open();
        }
    }




    //*******************************************************


    InfoBanner{
        id: banner0
        text: "Password is now in clipboard"
       iconSource: "../images/passwordmaker.png"
        timerEnabled: true
        timerShowTime: 1000
    }




    //*******************************************************


    MyComponents.AdvancedPage {
        id: advancedPage
    }

    MyComponents.ModifiersPage {
        id: modifiersPage
    }









}
